"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_assets = require("../../../common/assets.js");
const sheep_index = require("../../index.js");
require("../../store/index.js");
require("../../helper/index.js");
require("../../request/index.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../config/index.js");
require("../../api/member/address.js");
require("../../api/member/auth.js");
require("../../api/member/point.js");
require("../../api/member/signin.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/pay/order.js");
require("../../api/pay/wallet.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/coupon.js");
require("../../api/promotion/diy.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/cart.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../api/trade/order.js");
require("../../url/index.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/test.js");
require("../../helper/throttle.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../platform/pay.js");
require("../../config/zIndex.js");
require("../../store/app.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../helper/digit.js");
const _sfc_main = {
  __name: "s-user-card",
  props: {
    background: {
      type: String,
      default: ""
    },
    // 头像
    avatar: {
      type: String,
      default: ""
    },
    nickname: {
      type: String,
      default: "请登录"
    },
    username: {
      type: String,
      default: "无"
    },
    vip: {
      type: [String, Number],
      default: "1"
    },
    collectNum: {
      type: [String, Number],
      default: "1"
    },
    likeNum: {
      type: [String, Number],
      default: "1"
    }
  },
  setup(__props) {
    const userInfo = common_vendor.computed(() => sheep_index.sheep.$store("user").userInfo);
    const isLogin = common_vendor.computed(() => sheep_index.sheep.$store("user").isLogin);
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: isLogin.value ? common_vendor.unref(sheep_index.sheep).$url.cdn(userInfo.value.avatar) : common_vendor.unref(sheep_index.sheep).$url.static("/static/images/default_avatar.png"),
        b: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/user/info")),
        c: common_vendor.t(((_a = userInfo.value) == null ? void 0 : _a.nickname) || __props.nickname),
        d: common_vendor.t(((_b = userInfo.value) == null ? void 0 : _b.username) || __props.username),
        e: common_assets._imports_0$5,
        f: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/user/setting"))
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-e8581682"], ["__file", "D:/zx/mall-front-app/sheep/components/s-user-card/s-user-card.vue"]]);
wx.createComponent(Component);
